Subject: [MMUSIC] AW: Comment on draft-ietf-mmusic-securityprecondition-00.txt

From: Stach Thomas <[email-masked]>
Date: Fri, 1 Jul 2005 10:28:27 +0200

Fleming,

thank you for clarifying.

I overlooked the text in RFC3262 that allows another offer in the PRACK 
in case that the provisional response contained an SDP answer.
So, in fact the UPDATE is not necessary in this case.
Maybe you want to consider giving this little hint to the readers. 
This might avoid that others ask the same question again and again.

Kind Regards
Thomas 

> -----Ursprüngliche Nachricht-----
> Von: Flemming Andreasen [mailto:[email-masked]] 
> Gesendet: Donnerstag, 30. Juni 2005 18:55
> An: Stach Thomas
> Cc: [email-masked]'; [email-masked]'
> Betreff: Re: Comment on draft-ietf-mmusic-securityprecondition-00.txt
> 
> 
> 
> Stach Thomas wrote:
> 
> > Fleming, Dan,
> >  
> > I think the draft in general is quite clear.
> > Is a WGLC planned for the near future?
> >
> I'll defer to the WG chairs, but as far as I know, all comments and 
> outstanding issues have been addressed and I believe it is 
> ready for WGLC.
> 
> 
> > Nevertheless, I propose to change the example call flows in 
> Figure 1 
> > and 2 to show usage of the UPDATE method for the second SDP 
> > offer/answer exchange.
> >
> An earlier version of the document did that and it was 
> pointed out that 
> you save the UPDATE because you already have the necesssary 
> information 
> available at the time you want to send the PRACK, so it was 
> removed. We 
> could change one of the examples to include UPDATE if the WG wants to.
> 
> > It could look like this
> >
> >                   A                                            B
> >    
> >                   |                                            |
> >                   |-------------(1) INVITE SDP1--------------->|
> >                   |                                            |
> >                   |<------(2) 183 Session Progress SDP2--------|
> >                   |                                            |
> >                   |----------------(3) PRACK ----------------->|
> >                   |                                            |
> >                   |<-----------(4) 200 OK (PRACK) -------------|
> >                   |                                            |
> >                   |---------------(5) UPDATE SDP3------------->|
> >                   |                                            |
> >                   |<----------(6) 200 OK (UDATE) SDP4 ---------|
> >                   |                                            |
> >                   |<-------------(7) 180 Ringing---------------|
> >                   |                                            |
> >                   |                                            |
> >                   |                                            |
> >
> > And of course a normative reference to RFC 3262 for PRACK 
> and RFC3311 
> > for the UPDATE method should be added.
> >
> They are effectively there already because RFC 3312 makes it 
> mandatory 
> for you to support them, so I don't think we need to add them 
> to the list.
> 
> -- Flemming
> 
> > Kind Regards
> >
> > Thomas
> >
> 

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic